package com.neusoft.smart.pos.payorder.service;

import com.neusoft.smart.pos.dto.order.request.*;
import com.neusoft.smart.pos.dto.order.response.*;

public class PayRefundOrderService {
    public PostRefundOrderResponse createRefundOrder(PostCreateRefundOrderRequest createRefundOrderRequest) {
        return null;
    }

    public PostRefundOrderResponse saveRefundOrder(PostSaveRefundOrderRequest saveRefundOrderRequest) {
        return null;
    }

    public PutCancelRefundOrderResponse cancleRefundOrder(PutCancelRefundOrderRequest cancleRefundOrderRequest) {
        return null;
    }

    public PutUpdateRefundOrderStatusResponse updateOrderStatus(PutUpdateRefundOrderStatusRequest updateRefundOrderStatusRequest) {
        return null;
    }

    public PutSetRefundOrderStatusResponse setRefundOrderStatus(PutSetRefundOrderStatusRequest setRefundOrderStatusRequest) {
        return null;
    }

    public GetRefundOrderInfoResponse getRefundOrderInfoByOrderNumber(String orderNumber) {
        return null;
    }

    public GetRefundOrderInfoResponse getRefundOrderGoodsListByOrderNumber(String orderNumber) {
        return null;
    }

    public PostDoRefundOrderResponse doRefund(PostDoPayOrderRequest doPayOrderRequest) {
        return null;
    }
}
